// 2 argomenti: esame stringa comando
// il processo iniziale crea un processo figlio
// il process figlio, una volta avviato, esegue il comando passato come secondo parametro
// 
#include <stdio.h>

char *stringa, *comando;

main(int argc, char*argv[]) {
	int i, pid;
	printf("argc: %i\n", argc);
	for(i=0;i<argc;i++)
		printf("argv[%d]: %s\n", i, argv[i]);
	if( argc!= 3 ) exit( 0 );
	stringa = argv[1];
	comando = argv[2];

	pid=fork();
	printf("pid vale %d\n", pid);
	if( pid==0 ) { //codice figlio
		printf("Sono il figlio, il mio PID e' %d\n", getpid());
		execl(comando,comando,NULL);
		perror("Errore nell'esecuzione del comando passato come parametro");
		exit(-1);
	}
	else { //codice padre
		printf("Sono il padre, il mio PID e' %d\n", getpid());
	}
	printf("Terminato processo %s, PID %d\n", pid==0? "figlio":"padre", getpid());
}
