// FILTRO file car
// il padre P0 deve creare un figlio P1
// il figlio deve leggere da file
// per ogni carattere che incontra, se e' diverso da car lo trasmette al padre
// una volta finita la trasmissione, il figlio e il padre terminano
// 
#include <stdio.h>
#include <fcntl.h>

main( int argc, char *argv[] ) {
	int p[2], pid, fd;
	char c;

	if( argc!=3 ) exit( -1 );
	if( (fd=open( argv[1], O_RDONLY ))<0 ) exit( -2 );

	if( pipe( p )<0 ) exit( -3 );
	if( (pid=fork())<0 ) exit( -4 );

	if( pid==0 ) { // codice figlio
		close( p[0] );
		while( read( fd, &c, 1 ) ) {
			if( c!=argv[2][0] )
				write( p[1], &c, 1 );
		}
		close( p[1] );
		exit( 0 );
	}
	else { // codice padre
		close( fd );
		close( p[1] );
		while( read( p[0], &c, 1 ) ) {
			write( 1, &c, 1 );
		}	
		close( p[0] );
		exit( 0 );
	}
}
